Subject: Re: bug#25562: 25.1; isearch-forward-word first matches a non-word

From: Antoine Levitt <[email-masked]>
Date: Tue, 31 Jan 2017 08:57:37 +0100

I agree it's an ill defined problem ; but then, so is isearching for
foo\|bar.

I disabled the beeping and screen flashing, so it doesn't bother me, but I
get the point.

In the end, it's mostly a matter of personal convenience. The patched
behavior suits me better, and seems more consistent with the way regexp are
handled.

Best,
Antoine

On 31 Jan 2017 04:29, "Eli Zaretskii" <[email-masked]> wrote:

> From: Juri Linkov <[email-masked]>
> Date: Tue, 31 Jan 2017 01:24:07 +0200
> Cc: [email-masked]
>
> You can try yourself using the minimal patch below that demonstrates your
idea.
>
> But from what I see, it's not too good, using the recipe from your top
post:
>
> emacs -Q
> M-<
> M-s w
> i
>
> After typing the letter “i”, isearch fails, beeps, flashes the screen,
> with a clear indication that something went wrong.  This is more confusing
> for a user, because now a user has to stop and think about what is wrong.

I think this is a consequence of the simple fact that "word search"
and "incremental search" contradict each other: as long as "the word"
was not fully specified, searching for it incrementally is not a
well-defined operation.